Bug 64579 - [FILEOPEN] Opening attached .pptx file crashes Impress
Summary: [FILEOPEN] Opening attached .pptx file crashes Impress
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.4
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2013-05-14 10:01 UTC by David Watzke
Modified: 2013-06-01 13:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
pptx that crashes impress (804.79 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2013-05-14 10:01 UTC, David Watzke
Details
Bug 64579 - WinDbg session with FAILED_SOURCE_CODE (14.69 KB, text/plain)
2013-05-14 12:34 UTC, bfoman (inactive)
Details
Minimal bugdoc (89.66 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2013-05-14 13:55 UTC, Thorsten Behrens (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Watzke 2013-05-14 10:01:28 UTC
Created attachment 79292 [details]
pptx that crashes impress

Hi,

please try to open attached pptx in impress - it crashes (v4.0.3 on x86_64 arch linux).

Thanks
Comment 1 bfoman (inactive) 2013-05-14 12:34:57 UTC
Created attachment 79298 [details]
Bug 64579 - WinDbg session with FAILED_SOURCE_CODE

Confirmed with:
LO 4.0.2.2
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Attached full WinDbg session with FAILED_SOURCE_CODE.
Comment 2 bfoman (inactive) 2013-05-14 12:36:09 UTC
NEW as bug confirmed and bt attached.
Comment 3 Jacques Guilleron 2013-05-14 13:04:18 UTC
Hello David,

don't crash for me, but I cannot open it (General Error, general Input/output error) with LO 4.0.3.0+, Windows 7 Home Premium.
With PowerPointViewer, I see an inserted Excel application, not opened by the viewer, and perhaps not by LibreOffice too.

Hope this help,

Have a nice day,

Jacques Guilleron
Comment 4 ign_christian 2013-05-14 13:52:51 UTC
I think there is attachment failure -> it should not be text/plain type

Please reattach using type: binary file (application/octet-stream)
Comment 5 Thorsten Behrens (CIB) 2013-05-14 13:55:30 UTC
Created attachment 79301 [details]
Minimal bugdoc

Seeing the crash as well, attaching bugdoc with just the offending slide
Comment 6 Thorsten Behrens (CIB) 2013-05-14 23:34:22 UTC
Hmph, just a broken document - the data3.xml (6a7_Financna matematika.pptx) references relation rId7 in dsp:dataModelExt, which is one of the OLEs, instead of rId11 (the DrawingML fallback). Fixed by then simply ignoring the SmartArt.
Comment 7 Commit Notification 2013-05-14 23:39:50 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0f15a477aaba2f69a13c0bc61c5c8c7a47314680

Fix fdo#64579 Don't assume dsp:dataModelExt has valid DrawingML.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-05-15 06:04:20 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2904e4d618a57771662ef435df0f478423714e41&h=libreoffice-4-0

Fix fdo#64579 Don't assume dsp:dataModelExt has valid DrawingML.


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 David Watzke 2013-05-15 06:07:13 UTC
Thanks a lot. This is EXACTLY why I love open-source so much. You rock!
Comment 10 Alistair McMillan 2013-06-01 13:27:44 UTC
Just to confirm, tried to open them in the current version offered for download on the front page (4.0.3.3) and they both crash the application.

Downloaded daily build libreoffice-4-0~2013-05-27_17.11.10_LibO-Dev_4.0.4.0_MacOS_x86.dmg. Opened the sample documents in that build and they open without issue.